### Method

# Ide TreeModel get_kind

#### Declaration

    const gchar*
    ide_tree_model_get_kind (
      IdeTreeModel* self
    )

#### Description

Gets the kind of model that is being generated. See `IdeTreeModel:kind` for more information.

Available since: | 3.32

Gets property | `Ide.TreeModel:kind`

#### Return value

Returns: | `const gchar*`
| A string containing the kind, or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.
| The value is a NUL terminated UTF-8 string.